API Reference

Detailed and full API reference helps you master Tekla development

This is the most recent version of Tekla Open API.
For older versions, please visit Tekla Warehouse.

PointCloudAttach Method

Attach this point cloud to model. Can select only Potree type point clouds immediately after attach. Others need to be selected manually after attach has been completed. Use AttachComplete() to find out, if attach process has completed.

Namespace:  Tekla.Structures.Model
Assembly:  Tekla.Structures.Model (in Tekla.Structures.Model.dll) Version: 2019.0.0.0 (2019.0.0.0)
Syntax
public bool Attach()

Return Value

Type: Boolean
True if successful, otherwise false.
See Also